org.gnome.pango

## Class Style

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.pango.Style

-     public final class Style
      extends org.freedesktop.bindings.Constant

  Constants specifying the style of a font. Style is the typographic term describing whether the slant of the characters. The upright default we're all used to is `NORMAL`; when this is tipped over on its side it is the `OBLIQUE` style, whereas the more fancy script like lettering is `ITALIC`s.
  Since:
    4.0.9
  Author:
    Vreixo Formoso, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Style` | `ITALIC` Text written in an elegant script, not just slanted over but usually a more sculpted, rounded, and flowing appearance.
    `static Style` | `NORMAL` Ordinary text we use by default.
    `static Style` | `OBLIQUE` Normal text slanted over to the side but otherwise appearing the same as the `NORMAL` roman style.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ITALIC

          public static final Style ITALIC

      Text written in an elegant script, not just slanted over but usually a more sculpted, rounded, and flowing appearance.

    - #### NORMAL

          public static final Style NORMAL

      Ordinary text we use by default.

    - #### OBLIQUE

          public static final Style OBLIQUE

      Normal text slanted over to the side but otherwise appearing the same as the `NORMAL` roman style.